Ask Your Question
1

new package gazebo does not compile!

asked 2011-06-03 05:33:43 -0500

Kike gravatar image

updated 2011-06-05 18:33:26 -0500

Hello!

I checked out today the gazebo package, from simulator_gazebo: https://code.ros.org/svn/ros-pkg/stac... and it does not compile! I get a lot of errors, concerning the urdf2gazebo. Here is the beginning of the error messages:

  /opt/ros/diamondback/stacks/simulator_gazebo/gazebo/src/urdf2gazebo.cpp:755: error: ‘class urdf::Link’ has no member named ‘addCollision’ 
/opt/ros/diamondback/stacks/simulator_gazebo/gazebo/src/urdf2gazebo.cpp: In member function ‘void 
urdf2gazebo::URDF2Gazebo::printCollisionGroups(boost::shared_ptr<urdf::Link>)’:
/opt/ros/diamondback/stacks/simulator_gazebo/gazebo/src/urdf2gazebo.cpp:801: error: ‘class urdf::Link’ has no member named ‘collision_groups’

...

I reinstalled my ROS-System today, from: sudo apt-get install ros-diamondback-desktop-full

Can anyone tell me what I am missing? thanks

edit retag flag offensive close merge delete

Comments

If you don't mind, please put the error message in "code" formatting (the button is marked "101010"). It's much easier to read that way. (might want to drop the ! as well)
Asomerville gravatar image Asomerville  ( 2011-06-03 05:53:24 -0500 )edit
of course, sorry! i will keep it in mind for the next time!
Kike gravatar image Kike  ( 2011-06-03 19:29:35 -0500 )edit
Actually the "edit" link below your posts allows you to edit it after the fact.
Asomerville gravatar image Asomerville  ( 2011-06-05 12:28:58 -0500 )edit

2 Answers

Sort by » oldest newest most voted
1

answered 2011-06-03 06:38:27 -0500

hsu gravatar image

updated 2011-06-03 06:39:22 -0500

as mentioned, trunk or development branches are not meant to be stable, but if you really want to try and run from gazebo trunk, try compiling against unstable of robot_model and see if that fixes at least part of your problem as stated? hopefully a lot of the new features you might be looking for will be in the latest unstable release simulator_gazebo-1.3.0.

edit flag offensive delete link more

Comments

ah ok, thanks! i tried the new robot_model, and it fixed the errors above! But others occur, so i will stay with the older version of gazebo for now and just exchange my needed files per hand.
Kike gravatar image Kike  ( 2011-06-03 19:34:35 -0500 )edit
what are you looking for in the trunk and also, can you try and overlay/compile gazebo trunk against ros-unstable-simulator-gazebo instead of ros-diamondback-desktop-full?
hsu gravatar image hsu  ( 2011-06-05 18:55:27 -0500 )edit
1

answered 2011-06-03 05:56:47 -0500

updated 2011-06-03 06:12:27 -0500

The head of trunk is not necessarily compatible with anything other than the bleeding edge (other trunk heads).

If you want to use an svn copy of gazebo you should probably download the diamondback branch. That one will work with your diamondback install:

stacks/simulator_gazebo/tags/diamondback/

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2011-06-03 05:33:43 -0500

Seen: 199 times

Last updated: Jun 05 '11